function All
% ALL Launches all Matlab programs

warning off backtrace
delete('Weight.mat','Params.mat')

% Find decision rules
runmodel;
runcommitmentfull;
runcommitmentsto;
runcommitmentsub;
runfutures;

clear all
close all

% Generates data for decision rules plot
Transition
DecisionRules
LongRun

AssessWelf

close all

% Sensitivity analysis
%% Initial availability
SensiInitPt
%% RRA and food budget share
SensiWelf
%% Extract to LaTeX
Extract2LaTeX
%% Supply elasticity
SensiSupply
%% Interest rate
SensiDiscount
%% Storage cost
SensiStoCost
%% Demand elasticities
SensiDemand

delete('Weight.mat','Params.mat','models.mat')


exit